Summary:	A library of functions for manipulating MNG format files
Name:		libmng
Version:	1.0.10
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}0.diff
Patch1:		%{name}1.diff
URL:		http://www.libmng.com/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libmng - library for reading, writing, displaying and examing
Multiple-Image Network Graphics. MNG is the animation extension to the
popular PNG image-format.

%package 	devel
Summary:	Development tools for programs to manipulate MNG format files
Group:		Development

%description 	devel
The libmng-devel package contains the header files and static
libraries necessary for developing programs using the MNG
(Multiple-Image Network Graphics) library.

If you want to develop programs which will manipulate MNG image format
files, you should install libmng-devel. You'll also need to install
the libmng package.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
cat unmaintained/autogen.sh | tr -d \\r > autogen.sh
chmod 755 autogen.sh
[ ! -x ./configure ] && ./autogen.sh --help # generate, but don't run
%configure \
	--enable-shared \
	--enable-static \
	--with-zlib \
	--with-jpeg \
        --with-gnu-ld \
	--disable-nls \
	--without-included-gettext
make
cd contrib/gcc/fbmngplay;make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp contrib/gcc/fbmngplay/{fbmngplay,fbmngplay.static} $RPM_BUILD_ROOT/usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_bindir}/fbmngplay

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/*.a
%{_bindir}/fbmngplay.static
